.Net 4.6 Support.

Ask general questions here.
MarkF
Posts: 10
Joined: Fri Jan 29, 2016 3:31 pm

.Net 4.6 Support.

Post by MarkF » Mon Mar 06, 2017 5:00 pm

We're using Ranorex Studio 5.4.6. Does this support .NET Framework 4.6? I can only select '.NET Framework 4.5' in the project properties in Ranorex Studio, so I assume not...

I've got Visual Studio 2015 installed already which I can create and build projects targeting .NET 4.6

krstcs
Ranorex Guru
Posts: 2683
Joined: Tue Feb 07, 2012 4:14 pm
Location: Austin, Texas, USA

Re: .Net 4.6 Support.

Post by krstcs » Mon Mar 06, 2017 5:23 pm

Ranorex does not support .NET 4.6.

Ranorex 5.4.6 is no longer supported. You should update to one of the currently supported versions (6.1.1/6.2.1) if you want meaningful help/support. Note: Ranorex 5.4.6 was build on SharpDevelop 3.4, which does not support .NET versions higher than 4.0.

Ranorex 6.0 is built on SharpDevelop 4.X, which supports .NET up to 4.5.2, but NOT .NET 4.6.
Shortcuts usually aren't...

MarkF
Posts: 10
Joined: Fri Jan 29, 2016 3:31 pm

Re: .Net 4.6 Support.

Post by MarkF » Mon Mar 06, 2017 5:29 pm

Already tried installing Ranorex 6.1.1 (our license is dated 2016/10) and as you say only supports up to .NET 4.5.2...

ETA it looks like we can downgrade our solution to .NET 4.5.2 to work with Ranorex 6.x, this will do for the meantime.